/*        Ajax pour Mise-à-jour du thème-couleur choisit          */
$('.couleurBox').click( function () {
    var idAdmin = $('#maCouleur').data('mon-id'),
        couleurHexVal = rgb2hex($(this).css('background-color')),
        // Retire le '#' à la HEX value avant stockage en BDD
        couleurVal = couleurHexVal.substring(1, couleurHexVal.lenght);

    $.ajax({
        url: "../../pages/comptes/maj_theme.php",
        type: "POST",
        data: {id:idAdmin, newCouleur: couleurVal},
        dataType : 'html',
        success: location.reload()
    });
});




/*  Convertit valeur RGB rendue par JQuery.css() en HEX   */
function rgb2hex(rgb) {
    if (/^#[0-9A-F]{6}$/i.test(rgb)) return rgb;

    rgb = rgb.match(/^rgb\((\d+),\s*(\d+),\s*(\d+)\)$/);
    function hex(x) {
        return ("0" + parseInt(x).toString(16)).slice(-2);
    }
    return "#" + hex(rgb[1]) + hex(rgb[2]) + hex(rgb[3]);
}
